Subject: [Tzdist] Proposal to remove ETag

From: Tobias Conradi <[email-masked]>
Date: Fri, 24 Oct 2014 03:19:18 +0200

In
http://tools.ietf.org/html/draft-ietf-tzdist-service-02
I found six occurrences of ETag, but I found no policy on how to
generate it. Is there a policy?

If no such policy exists, then
a) the value may differ for two requests even if the related time zone
data does not differ.
b) it may be the same, even if the related time zone data does differ.

I therefore propose to remove ETag from all examples and also remove

http://tools.ietf.org/html/draft-ietf-tzdist-service-02#section-6.3

      The response MUST
      contain an ETag response header field indicating the current value
      of the strong entity tag of the time zone resource.

http://tools.ietf.org/html/draft-ietf-tzdist-service-02#section-6.4

      The response
      MUST contain an ETag response header field indicating the current
      value of the strong entity tag for the expanded data.

-- 
Tobias Conradi
Rheinsberger Str. 18
10115 Berlin
Germany

http://tobiasconradi.com